Page MenuHomePhabricator

Update MobileFrontend hooks documentation
Closed, ResolvedPublic

Description

@bd808 points out that there are a number of hooks run by MobileFrontend that aren't documented on mediawiki.org.

The list of hooks run by MobileFrontend has already been added to mediawiki.org.

Please take a look at the "Hooks provided" section on https://www.mediawiki.org/wiki/Extension:MobileFrontend and click and edit one of the red links there... these are the ones we would like documented!

An example of a documented MobileFrontend hook can be found here:
https://www.mediawiki.org/wiki/Extension:MobileFrontend/EnableMobileModules
Be sure to read the code and understand what the hook you are documenting does. IT should hopefully be documented in the function signature! If not feel free to ask someone in #wikimedia-mobile irc channel

 AC

  • All hooks run by MobileFrontend are documented on mediawiki.org
  • All hooks run by MobileFrontend are similarly documented in the codebase with, at least, a link to the canonical documentation on mediawiki.org

GCI task: https://codein.withgoogle.com/dashboard/tasks/5676068618895360/

Event Timeline

phuedx created this task.Aug 1 2016, 9:17 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 1 2016, 9:17 AM
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptAug 1 2016, 9:20 AM

I started documenting the hooks here:
https://www.mediawiki.org/wiki/User:Florianschmidtwelzow/MobileFrontend/Hooks

It's mostly outdated, incomplete and/or false, but maybe someone can work with it :D

Kghbln added a subscriber: Kghbln.Aug 1 2016, 1:24 PM

I just added the hooks provided to make it easier to work on this, i.e. red link means that documentation is needed.

Kghbln awarded a token.Aug 1 2016, 1:24 PM
Kghbln removed a subscriber: Kghbln.
dr0ptp4kt triaged this task as High priority.Aug 1 2016, 4:57 PM
dr0ptp4kt moved this task from Incoming to Triaged but Future on the Readers-Web-Backlog board.
phuedx raised the priority of this task from High to Needs Triage.Aug 1 2016, 4:58 PM
phuedx triaged this task as High priority.
phuedx updated the task description. (Show Details)

Whoops!

I'll mentor this task in this years GCI. Task imported in: https://codein.withgoogle.com/dashboard/tasks/5676068618895360/ (amount of possible task instances is 7)

Florian updated the task description. (Show Details)Nov 12 2016, 2:41 PM

You beat me to it @Florian!

@phuedx: As far as I know it's possible, that two mentors mentor one task, so, if you want to help? :D

Jdlrobson updated the task description. (Show Details)Dec 1 2016, 7:21 PM
Jdlrobson updated the task description. (Show Details)

Which hooks are left @Florian ?

  • MobileLicenseLink
  • SpecialWatchlistQuery
  • SpecialMobileEditWatchlist::images
  • SkinMinervaOutputPageBeforeExec
Jdlrobson closed this task as Resolved.Jan 30 2017, 8:05 PM
Jdlrobson claimed this task.

All are documented now :)

phuedx added a comment.EditedJan 31 2017, 9:47 AM

Excellent work y'all 💥❤️💥